/* Developed for Lenovo Educational Board Pass 2
   © Lenovo Created by Joshua Grosser
   v. 1.0 */

const float midC = 256.0; // the hz value of middle C
const int piezoPin = 15; // the number of the buzzer pin
const int buttonPin = 1; // the number of the pushbutton pin
int buttonState = 0; // variable for reading the pushbutton status

void myTone(byte pin, uint16_t frequency, uint16_t duration) 
{ // input parameters: Arduino pin number, 
  // frequency in Hz, duration in milliseconds
  // plays the tone we want by turning the buzzer on and off
  unsigned long startTime=millis();
  unsigned long halfPeriod= 1000000L/frequency/2;
  while (millis()-startTime< duration)
  {
    // turn buzzer on then delay then turn buzzer 
    // off and repeat for the duration length
    digitalWrite(pin,HIGH);
    delayMicroseconds(halfPeriod);
    digitalWrite(pin,LOW);
    delayMicroseconds(halfPeriod);
  }
}

void setup() {
  // initialize the pushbutton pin as input
  pinMode(buttonPin, INPUT);
  // initialize buzzer as output
  pinMode(piezoPin,OUTPUT);
}

void loop() {
  // read the state of the pushbutton value
  buttonState = digitalRead(buttonPin);
  // check if the pushbutton is pressed
  // if it is, the buttonState is HIGH and turn on the buzzer
  if (buttonState == HIGH) {
    myTone(piezoPin, midC, 1); // play middleC for 1 millisecond
  }
}
