/* Developed for Lenovo Educational Board Pass 2
   © Lenovo Created by Joshua Grosser
   v. 1.0 */

// include the following libraries
#include <Wire.h>
#include <SparkFun_APDS9960.h>

// APDS object to read color data from sensor
SparkFun_APDS9960 apds = SparkFun_APDS9960();
// Global variables to keep track of color data
uint16_t red_light = 0;
uint16_t green_light = 0;
uint16_t blue_light = 0;

void setup() {
  
  // Initialize Serial port
  Serial.begin(9600);
  Serial.println();
    
  // Initialize APDS
  apds.init();
  apds.enableLightSensor(false);
  // Wait for initialization and calibration to finish
  delay(500);
}

void loop() {
  // Read the light levels (red, green, blue)
  // if data is available
  if (  !apds.readRedLight(red_light) ||
        !apds.readGreenLight(green_light) ||
        !apds.readBlueLight(blue_light) ) {
    Serial.println("Error reading light values");
  } else {
    // print red, green, blue values to serial
    Serial.print(" Red: ");
    Serial.print(red_light);
    Serial.print(" Green: ");
    Serial.print(green_light);
    Serial.print(" Blue: ");
    Serial.println(blue_light);
  }
  
  // Wait 1 second between readings
  delay(1000);
}
