/* Developed for Lenovo Educational Board Pass 2
   © Lenovo Created by Joshua Grosser
   v. 1.0 */

const int micPin = 14; // microphone pin number
int micVal = 0; // value read from the microphone

const int GreenledPin = 10; // green LED pin
const int YellowledPin = 11; // yellow LED pin
const int OrangeledPin = 12; // orange LED pin
const int BlueledPin = 13; // blue LED pin
int ledState = HIGH;

void setup() {
  // set the LEDs to output
  pinMode(GreenledPin, OUTPUT);
  pinMode(YellowledPin, OUTPUT);
  pinMode(OrangeledPin, OUTPUT);
  pinMode(BlueledPin, OUTPUT);
}

void loop() {
  // read the current microphone value
  micVal = analogRead(micPin);
  if (micVal < 100) // if value is less than 100 turn on the green LED
  {
    digitalWrite(GreenledPin, ledState);
    digitalWrite(YellowledPin, LOW);
    digitalWrite(OrangeledPin, LOW);
    digitalWrite(BlueledPin, LOW);
  }
  else if (micVal >= 100 && micVal < 500) // if value is less than 500 and greater than or equal to 100 turn on the yellow LED
  {
    digitalWrite(YellowledPin, ledState);
    digitalWrite(GreenledPin, LOW);
    digitalWrite(OrangeledPin, LOW);
    digitalWrite(BlueledPin, LOW);
  }
  else if (micVal >= 500 && micVal < 1000) // if value is less than 1000 and greater than or equal to 500 turn on the orange LED
  {
    digitalWrite(OrangeledPin, ledState);
    digitalWrite(GreenledPin, LOW);
    digitalWrite(YellowledPin, LOW);
    digitalWrite(BlueledPin, LOW);
  }
  else // if none of the above conditions are met (>= 1000) then turn on the blue LED
  {
    digitalWrite(BlueledPin, ledState);
    digitalWrite(GreenledPin, LOW);
    digitalWrite(YellowledPin, LOW);
    digitalWrite(OrangeledPin, LOW);
  }
  // wait .3 seconds between readings
  delay(300);
}
